Subject: Naturopath in Vancouver?

From: [email-masked] (Diane Smithers)
Date: Tue, 10 Jan 1995 22:00:21 GMT

Does anyone know of a good naturopathic/herbalist in the Vancouver
area? My father has a series of health problems (e.g. gout, prostate
cancer, vasculitis, nephritis, etc..) that are being treated by
allopathic doctors, who are prescribing all sorts of powerful drugs
that are interacting, causing horrible side effects and ultimately
making his immune system weaker. I would like to get him to see an
alternative practioner who has some experience with acute health
problems, but I don't have personal experience with anyone in the
Vancouver area.

Email if possible please,

Diane

--
email: [email-masked]